From 516eab0467c7a2ac249205d8c20e9d3d326f46a3 Mon Sep 17 00:00:00 2001
From: Akashdeep Dhar <akashdeep.dhar@gmail.com>
Date: Apr 06 2021 12:35:59 +0000
Subject: [PATCH 9/15] Removed dependency on the obsolete fedmenu


Signed-off-by: Akashdeep Dhar <akashdeep.dhar@gmail.com>

---

diff --git a/gather_easyfix.py b/gather_easyfix.py
index 82abe39..0cc95b1 100755
--- a/gather_easyfix.py
+++ b/gather_easyfix.py
@@ -26,7 +26,6 @@ The different project to suscribe by email or a git repo or a page on
 the wiki. To be sorted out...
 """
 
-import argparse
 import datetime
 import json
 import logging
@@ -37,6 +36,7 @@ try:
     from urllib2 import urlopen
 except:
     from urllib.request import urlopen
+
 from bugzilla.rhbugzilla import RHBugzilla
 
 # Let's import template stuff
@@ -56,7 +56,8 @@ RETRIES = 2
 
 
 class MediaWikiException(Exception):
-    """ MediaWikiException class.
+    """
+    MediaWikiException class.
     Exception class generated when something has gone wrong while
     querying the MediaWiki instance of the project.
     """
@@ -65,25 +66,30 @@ class MediaWikiException(Exception):
 
 
 class MediaWiki:
-    """ Mediawiki class.
+    """
+    Mediawiki class.
     Handles interaction with the Mediawiki.
     """
 
     def __init__(self, base_url):
-        """ Instanciate a Mediawiki client.
+        """
+        Instantiate a Mediawiki client.
         :arg base_url: site url of the mediawiki to query.
         """
         self.site = mwclient.Site(base_url)
 
     def get_pagesource(self, title):
-        """ Retrieve the content of a given page from Mediawiki.
+        """
+        Retrieve the content of a given page from Mediawiki.
         :arg title, the title of the page to return
         """
         return self.site.pages[title].text()
 
 
 class Project(object):
-    """ Simple object representation of a project. """
+    """
+    Simple object representation of a project.
+    """
 
     def __init__(self):
         self.name = ""
@@ -95,7 +101,9 @@ class Project(object):
 
 
 class Ticket(object):
-    """ Simple object representation of a ticket. """
+    """
+    Simple object representation of a ticket.
+    """
 
     def __init__(self):
         self.id = ""
@@ -107,7 +115,8 @@ class Ticket(object):
 
 
 def gather_bugzilla_easyfix():
-    """ From the Red Hat bugzilla, retrieve all new tickets with keyword
+    """
+    From the Red Hat bugzilla, retrieve all new tickets with keyword
     easyfix or whiteboard trivial.
     """
     bugbz_easyfix = bzclient.query(
@@ -135,7 +144,8 @@ def gather_bugzilla_easyfix():
 
 
 def gather_project():
-    """ Retrieve all the projects which have subscribed to this idea.
+    """
+    Retrieve all the projects which have subscribed to this idea.
     """
     wiki = MediaWiki("fedoraproject.org")
     page = wiki.get_pagesource("Easyfix")
@@ -151,42 +161,18 @@ def gather_project():
     return projects
 
 
-def parse_arguments():
-    parser = argparse.ArgumentParser(__doc__)
-    parser.add_argument(
-        "--fedmenu-url", help="URL of the fedmenu resources (optional)"
-    )
-    parser.add_argument(
-        "--fedmenu-data-url", help="URL of the fedmenu data source (optional)"
-    )
-    args = parser.parse_args()
-    result = {}
-    for key in ["fedmenu_url", "fedmenu_data_url"]:
-        if getattr(args, key):
-            result[key] = getattr(args, key)
-    return result
-
-
 def main():
-    """ For each projects which have suscribed in the correct place
+    """
+    For each projects which have suscribed in the correct place
     (fedoraproject wiki page), gather all the tickets containing the
     provided keyword.
     """
-
-    extra_kwargs = parse_arguments()
-
-    '''
-    template = "/etc/fedora-gather-easyfix/template.html"
-    if not os.path.exists(template):
-        template = "./template.html"
-    '''
     template = "/etc/fedora-gather-easyfix/tempmdrn.html"
     if not os.path.exists(template):
         template = "./tempmdrn.html"
     if not os.path.exists(template):
         print("No template found")
         return 1
-
     try:
         projects = gather_project()
     except MediaWikiException as ex:
@@ -265,7 +251,6 @@ def main():
 
     bzbugs = gather_bugzilla_easyfix()
     bzbugs.sort(key=lambda x: x.id)
-
     try:
         # Read in template
         stream = open(template, "r")
@@ -278,8 +263,7 @@ def main():
             bzbugs=bzbugs,
             ticket_num=ticket_num,
             bzbugs_num=len(bzbugs),
-            date=datetime.datetime.now().strftime("%a %b %d %Y %H:%M"),
-            **extra_kwargs
+            date=datetime.datetime.now().strftime("%a %b %d %Y %H:%M")
         )
         # Write down the page
         stream = open("index.html", "w")
